use once_cell::sync::OnceCell;

use reqwest::Client;
use rocket::{http::Status, serde::json::Json};
use serde::{Deserialize, Serialize};

use self::{json_result::JsonResult, session::ensure_session};

pub mod json_result;
mod session;
pub mod users;

/// Tries to connect to the online classroom, and get a session cookie
#[get("/classroom/connect")]
pub async fn connection() -> (Status, Json<JsonResult<()>>) {
    match ensure_session().await {
        Ok(_) => (Status::Ok, JsonResult::ok(())),
        Err(err) => (Status::Ok, JsonResult::err(err)),
    }
}
